<?php
  ob_start('ob_gzhandler');

  require_once("config.php");
  require_once("config_ini.php");
  require_once("./phone_gap/dao/ConfigDAO.class.php");

  $CODVENDEDOR = $_GET["codvendedor"];
  $IMEI = @$_GET["imei"];
  $SERIAL = @$_GET["serial"];
  
  if($IMEI == '' && $SERIAL == ''){
	  echo "Erro ao receber a autenticacao do Vendedor!";
	  die;
  }
  
  $sql = "select V.CODVENDEDOR, V.PADRAO_PEDIDO, coalesce(V.LMTVENDAFISICA,0) LMTVENDAFISICA, coalesce(V.VEICULO_TERC,'F') VEICULO_TERC, ".
      "V.CODGRUPOVEND, CO.PERCJURODIA, E.CODEMPRESA, E.PERCACRESC_PRECOPF, V.NROVEICULO, V.OBTERDADOSGPS, CO.prazveriftelefone, VI.ENTREGADOR, V.PERCACUMULAFLEX, CO.VAL_LIM_DIARIO_PF, ".
      "V.CONTROLEBONIF, V.CONTRBON_PADRAO_PEDIDO, CO.PERCGIROMIN, CO.PERCMULTA, coalesce(CO.VEND_DIAS_PRESTACAO, 0) VEND_DIAS_PRESTACAO, V.BLOQUEARVENDA, ".
	  "CO.CODPORTADOR_CLI, CO.CODCPAGTO_CLI, CO.NROEMPRESA, CO.DIAS_UTEIS_ENTREGA, CO.SABADO_UTIL, v.idusuario, v.senhausuario, ".
      "E.INTEGRACAO_API_MAPAS, E.ID_EMPRESA_MAPAS, E.ID_TENANT, V.EMAIL, CO.VAL_LIMIT_INDENIZ_TROCA ".
	  "from VENDEDORES v ".
      "join EMPRESAS E on coalesce(V.CODEMPRESA,1) = e.codempresa ".
      "join CONFIG CO on 1=1 ".
	  "left join VEND_IMEI VI on V.CODVENDEDOR = VI.CODVENDEDOR "; 
	  if($IMEI != ''){
		$sql .= " AND VI.IMEI = '".$IMEI."' ";
	  } else {
                $sql .= " AND VI.SERIAL = '".$SERIAL."' ";
          }
      $sql .= "where V.CODVENDEDOR = ".$CODVENDEDOR . 
			  "  and V.SITUACAO = 'A'";
      if ($IMEI != ''){
		$sql .=" and (V.IMEI = '".$IMEI."' or VI.IMEI is not null)";
	  } else{
		$sql .= " and (V.SERIAL = '".$SERIAL."' or VI.SERIAL is not null) "; 
	  }
	  
	  $query = ibase_query($conexao, $sql);

  $row = ibase_fetch_row($query);
  $obj = new stdClass();
  if ($row[0] > 0)
    $obj->autorizacao = "autorizado";
  else
    $obj->autorizacao = "nao autorizado";
  $obj->padrao_pedido = $row[1];
  $obj->atualizacao = $atualizacao;
  if ($row[2] > 0)
    $obj->lmtvendafisica = $row[2];
  $obj->codgrupovend = $row[4];
  if ($mostrar_todos_clientes)
    $obj->mostrar_todos_clientes = $mostrar_todos_clientes;
  if ($lancar_trocas)
    $obj->lancar_trocas = $lancar_trocas;
  if ($usar_preco_minimo)
    $obj->usar_preco_minimo = $usar_preco_minimo;
  if ($usar_pontuacao_pedido)
    $obj->usar_pontuacao_pedido = $usar_pontuacao_pedido;
  if ($usar_estoque_prevenda)
    $obj->usar_estoque_prevenda = $usar_estoque_prevenda;
  if ($trabalharmanifesto)
    $obj->trabalhar_com_manifesto = $trabalharmanifesto;
  $obj->veiculo_terc = $row[3];
  $obj->percjurodia = $row[5];
  $obj->codempresa = $row[6];
  $obj->percacresc_precopf = $row[7];
  $obj->nroveiculo = $row[8];
  $obj->obter_dados_gps_pedido = $row[9] == 'T' ? 1 : 0;
  $obj->prazveriftelefone = $row[10];
  $obj->entregador = $row[11] == 'T' ? 1 : 0;
  if ($estoque_prevenda_fechado)
    $obj->estoque_prevenda_fechado = $estoque_prevenda_fechado;
  if ($cadastra_cliente)
    $obj->cadastra_cliente = $cadastra_cliente;
  if ($emissaopedido_man)
    $obj->emissao_pedido_por_manifesto = $emissaopedido_man;
  if ($precominimovista)
    $obj->preco_a_vista_igual_minimo = $precominimovista;
  if ($rota_diaria)
    $obj->rota_diaria = $rota_diaria;
  if ($informar_km)
    $obj->informar_km = $informar_km;
  if ($confirmacao_manifesto)
    $obj->confirmacao_manifesto = $confirmacao_manifesto;
  if ($usar_merchandising)
    $obj->usar_merchandising = $usar_merchandising;
  if ($usar_distribuicao)
    $obj->usar_distribuicao = $usar_distribuicao;
  if ($usar_estoque)
    $obj->usar_estoque = $usar_estoque;
  if ($permite_venda_fora_estprevenda)
    $obj->permite_venda_fora_estprevenda = $permite_venda_fora_estprevenda;
  if ($usar_visitas)
    $obj->usar_visitas = $usar_visitas;
  if ($usar_cobrancas)
    $obj->usar_cobrancas = $usar_cobrancas;
  if ($usar_orcamentos)
    $obj->usar_orcamentos = $usar_orcamentos;
  if ($exibir_estoque)
    $obj->exibir_estoque = $exibir_estoque;
  if ($baixar_estoque_pedido)
    $obj->baixar_estoque_pedido = $baixar_estoque_pedido;
  if ($horas_integrar)
    $obj->horas_integrar = $horas_integrar;
  if ($row[14] == "T")
    $obj->controle_bonificacao = 1;
  if ($permite_preco_item_a_maior)
    $obj->permite_preco_item_a_maior = $permite_preco_item_a_maior;
  if ($usar_indeniz)
    $obj->usar_indeniz = $usar_indeniz;
  else
    $obj->usar_indeniz = false;
  if ($timeout_ws > 0)
    $obj->timeout_ws = $timeout_ws;
  if ($alterar_port_cpagto_cli)
    $obj->alterar_port_cpagto_cli = $alterar_port_cpagto_cli;
  if ($tipo_impressora)
    $obj->tipo_impressora = $tipo_impressora;
  if ($confirmar_segmento)
    $obj->confirmar_segmento = $confirmar_segmento;
  if ($usar_desdobramento)
    $obj->usar_desdobramento = $usar_desdobramento;
  if ($exibir_freteporconta)
    $obj->exibir_freteporconta = $exibir_freteporconta;
  if ($importar_historico_contas)
  	$obj->importar_historico_contas = $importar_historico_contas;
  if ($indenizacao_desc_ped)
    $obj->indenizacao_desc_ped = $indenizacao_desc_ped;
  if ($permitevendabloq)
    $obj->permitevendabloq = $permitevendabloq;
  if ($exibir_caixa_flex)
    $obj->exibir_caixa_flex = $exibir_caixa_flex;
  if ($ordem_manif <> "")
    $obj->ordem_manif = $ordem_manif;
  if ($travar_roteiro) {
    $obj->travar_roteiro  = $travar_roteiro;
    $query2 = ibase_query($conexao, "select COALESCE(VENDEDOR_TRAVADO, 'F') ".
        "from vendedores ".
        "where codvendedor = ".$CODVENDEDOR);
    $row2 = ibase_fetch_row($query2);
    $obj->vendedor_travado = $row2[0];
  } else
    $obj->vendedor_travado = "F";
  $obj->distancia_just = $distancia_just;
  $obj->limiteindeniz = $limiteindeniz;
  if ($permite_desc_indeniz)
    $obj->permite_desc_indeniz = $permite_desc_indeniz;
  if ($bloquear_contingencia)
    $obj->bloquear_contingencia = $bloquear_contingencia;
  if ($bloquear_canc_nfe)
    $obj->bloquear_canc_nfe = $bloquear_canc_nfe;
  if ($digitar_desconto_ped)
    $obj->digitar_desconto_ped = $digitar_desconto_ped;
  if ($imprimir_comprovante)
    $obj->imprimir_comprovante = $imprimir_comprovante;
  if ($calcular_subst)
    $obj->calcular_subst = $calcular_subst;
  if ($contingencia_aut)
    $obj->contingencia_aut = $contingencia_aut;
  if ($bloquear_est_disp)
    $obj->bloquear_est_disp = $bloquear_est_disp;
  if ($dias_reimprimir_nfe > 0)
    $obj->dias_reimprimir_nfe = $dias_reimprimir_nfe;
  if ($env_mail_pedido)
    $obj->env_mail_pedido = $env_mail_pedido;
  if ($perc_indeniz)
	  $obj->perc_indeniz = $perc_indeniz;
  $obj->processo = $processo;
  if ($cli_novo_liberado)
    $obj->cli_novo_liberado = $cli_novo_liberado;
  if ($bloquear_flex_naocontr)
    $obj->bloquear_flex_naocontr = $bloquear_flex_naocontr;
  if ($informar_oc)
    $obj->informar_oc = $informar_oc;
  if ($cobranca_juros)
    $obj->cobranca_juros = $cobranca_juros;
  if ($digitar_pontuacao_ped)
    $obj->digitar_pontuacao_ped = $digitar_pontuacao_ped;
  if ($lancar_empresa_ped)
    $obj->lancar_empresa_ped = $lancar_empresa_ped;
  if ($desdobram_cpagto)
    $obj->desdobram_cpagto = $desdobram_cpagto;
  if ($controle_data_verif_cli)
    $obj->controle_data_verif_cli = $controle_data_verif_cli;
  if ($nao_mostrar_desconto_item)
    $obj->nao_mostrar_desconto_item = $nao_mostrar_desconto_item;
  if ($tempogps > 0)
    $obj->tempogps = $tempogps;
  if ($motivo_troca)
    $obj->motivo_troca = $motivo_troca;
  if ($trocafutura)
    $obj->trocafutura = $trocafutura;
  if ($imagens_visitas)
    $obj->imagens_visitas = $imagens_visitas;
  if ($tamanho_imagens)
    $obj->tamanho_imagens = $tamanho_imagens;
  if ($aumentar_valor_cheque_prest)
    $obj->aumentar_valor_cheque_prest = $aumentar_valor_cheque_prest;
  if ($atendimentos_visitas)
    $obj->atendimentos_visitas = $atendimentos_visitas;
  $configdao = new ConfigDAO();
  if ($configdao->getDisponibilizar()->getNfc_eletronica() && $tipo_impressora != "OKIDATA" && $tipo_impressora != "HP")
    $obj->nfc_eletronica = 1;
  if ($configdao->getDisponibilizar()->getLiberar_desconto_fv())
    $obj->liberar_desconto_fv = 1;
  if ($configdao->getDisponibilizar()->getLiberar_ped_comodato())
    $obj->liberar_ped_comodato = 1;
  if ($configdao->getDisponibilizar()->getFatur_desc_icms_prods())
    $obj->fatur_desc_icms_prods = 1;
  if ($configdao->getDisponibilizar()->getdados_nfce())
    $obj->dados_nfce = 1;
  else
    $obj->dados_nfce = 0;
  if ($configdao->getDisponibilizar()->getvendAcumFlex())
    $obj->percacumulaflex = $row[12];
  if ($configdao->getDisponibilizar()->getNao_imp_boleto_serie_90())
    $obj->nao_imp_boleto_serie_90 = 1;
  if ($configdao->getDisponibilizar()->getLibsenhavendapf())
    $obj->libsenhavendapf = 1;
  if ($configdao->getDisponibilizar()->getLibVisitaForaGPS())
    $obj->libvisitaforagps = 1;
  if ($configdao->getDisponibilizar()->getFaturaServico())
    $obj->faturaservico = 1;
  $obj->val_lim_diario_pf = $row[13];
  if ($configdao->getDisponibilizar()->getBloq_vend_s_intdados())
    $obj->bloq_vend_s_intdados = 1;
  $obj->permit_vend_prod_comodato = $permit_vend_prod_comodato;
  $obj->raio_precisao_gps = $raio_precisao_gps;
  $obj->limite_itens_pedido = $limite_itens_pedido;
  if ($perm_bonif_s90 == 1)
    $obj->perm_bonif_s90 = $perm_bonif_s90;
  if ($perm_bonif_fora_venda)
    $obj->perm_bonif_fora_venda = $perm_bonif_fora_venda;
  if ($configdao->getDisponibilizar()->getConversao_un())
    $obj->conversao_un = 1;
  if ($horas_integrar_max)
    $obj->horas_integrar_max = $horas_integrar_max;
  if ($configdao->getDisponibilizar()->getReducao_apenas_st())
    $obj->reducao_apenas_st = 1;
  $obj->contrbon_padrao_pedido = $row[15];
  if ($configdao->getDisponibilizar()->getBonif_gerar_desc_venda())
    $obj->bonif_gerar_desc_venda = 1;
  $obj->enviar_mens_super_impnota = $enviar_mens_super_impnota;
  if ($configdao->getDisponibilizar()->getDanfe_ord_itens_desc())
    $obj->danfe_ord_itens_desc = 1;
  $obj->percgiromin = $row[16];
  if ($exibir_est_disponivel)
    $obj->exibir_est_disponivel = $exibir_est_disponivel;
  if ($nao_listar_prods_bloq)
    $obj->nao_listar_prods_bloq = $nao_listar_prods_bloq;
  if ($configdao->getDisponibilizar()->getPed_val_comer_finan())
    $obj->ped_val_comer_finan = 1;
  if ($configdao->getDisponibilizar()->getFat_codinterno_danfe())
    $obj->fat_codinterno_danfe = 1;
  if ($configdao->getDisponibilizar()->getDigitar_unped())
    $obj->digitar_unped = 1;
  $obj->precomanifesto_prontentrega = $precomanifesto_prontentrega;
  $obj->modulosdisponiveis = $configdao->getModulosDisponiveis();
  $obj->percmulta = $row[17];
  $obj->controle_percurso = $controle_percurso;
  $obj->controle_percurso_intervalo = $controle_percurso_intervalo;
  $obj->controle_percurso_distancia = $controle_percurso_distancia;
  if ($concl_vis_int)
    $obj->concl_vis_int = $concl_vis_int;
  if ($finalizar_manif)
	$obj->finalizar_manif = $finalizar_manif;
  if ($permit_desc_ate_perc_indeniz)
	$obj->permit_desc_ate_perc_indeniz = $permit_desc_ate_perc_indeniz;
  if ($indeniz_prod_somente_ativos)
	$obj->indeniz_prod_somente_ativos = $indeniz_prod_somente_ativos;
  $obj->tentativas = $tentativas;
  $obj->timeout = $timeout;
  $obj->codbanco = $codbanco_padrao;
  if ($usar_leopardo_a7)
    $obj->usar_leopardo_a7 = $usar_leopardo_a7;
  if ($exibir_rentabilidade)
    $obj->exibir_rentabilidade = $exibir_rentabilidade;
  if ($log_local)
    $obj->log_local = $log_local;
  if ($qtde_datas_sugestao_venda)
    $obj->qtde_datas_sugestao_venda = $qtde_datas_sugestao_venda;
  if ($apenas_gerente_libera_contrasenha)
	$obj->apenas_gerente_libera_contrasenha = $apenas_gerente_libera_contrasenha;
  $obj->vend_dias_prestacao = $row[18];
  $obj->bloquearvenda = $row[19];
  $obj->codportador_cli = $row[20];
  $obj->codcpagto_cli = $row[21];
  $obj->nroempresa = $row[22];
  $obj->dias_uteis_entrega = $row[23];
  $obj->sabado_util = $row[24];
  $obj->idusuario = $row[25];
  if ($row[26] != null)
    $obj->senhausuario = utf8_encode(Criptar::Cripto('D', $row[26]));
  $obj->integracao_api_mapas = $row[27];
  $obj->id_empresa_mapas = $row[28];
  $obj->id_tenant = $row[29];
  $obj->emailvendedor = $row[30];
  $obj->val_limit_indeniz_troca = $row[31];
  if ($configdao->getDisponibilizar()->getListaprecos_Desconto_Autorizado())
	  $obj->listaprecos_desconto_autorizado = 1;
  
  $query2 = ibase_query($conexao, "select COALESCE(tipo_versao, 'RELEASE'), TIPO_DOC_PF, TIPO_DOC_PJ from config ");
  $row2 = ibase_fetch_row($query2);
  $obj->tipo_versao = $row2[0];
  $obj->tipo_doc_pf = $row2[1];
  $obj->tipo_doc_pj = $row2[2];
  $obj->captura_percurso_modelo2 = $captura_percurso_modelo2;
  
  
  $array = array();
  $array[] = $obj;



  echo json_encode($array);
?>